﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using DirectService.Tools;
using JLHHJSvr.BLL;
using JLHHJSvr.Com;
using JLHHJSvr.Com.Model;
using JLHHJSvr.Helper;
using JLHHJSvr.LJException;
using JLHHJSvr.Tools;
using LJLib.DAL.SQL;
using LJLib.Net.SPI.Server;

namespace JLHHJSvr.Excutor
{
    internal sealed class GetERPMtrlTypeListExcutor : ExcutorBase<GetERPMtrlTypeListRequest, GetERPMtrlTypeListResponse>
    {
        protected override void ExcuteInternal(GetERPMtrlTypeListRequest request, object state, GetERPMtrlTypeListResponse rslt)
        {
            var tokendata = BllHelper.GetToken(request.token);
            if (tokendata == null)
            {
                rslt.ErrMsg = "会话已经中断，请重新登录";
                return;
            }

            var erpHelper = HelperBase.GetHelper<ERPHelper>(null);

            var list = erpHelper.GetERPList<u_mtrltype>("GetL1Mtrltype",null);

            var pk = new PkName()
            {
                MainField = "mtrltypeid",
                MainName = "mtrltype",
                ParentField = "parentid"
            };

            ListEx.GetRecursions(list, pk, out var resultList);

            rslt.reList = resultList;
        }
    }
}
